GDB (xrefs)

Classes | Functions | Variables
gdb.xmethod Namespace Reference

## Classes
class | SimpleXMethodMatcher
class | XMethod
class | XMethodMatcher
class | XMethodWorker

## Functions
def | _validate_xmethod_matcher (matcher)
def | _lookup_xmethod_matcher (locus, name)
def | register_xmethod_matcher (locus, matcher, replace=False)

## Variables
| basestring
| long

## Function Documentation

## ◆ _lookup_xmethod_matcher()

def gdb.xmethod._lookup_xmethod_matcher | ( |  | locus,
|  |  | name
| ) |  |
| private

Definition at line 235 of file xmethod.py.

Referenced by gdb.xmethod.SimpleXMethodMatcher.match(), and gdb.xmethod.register_xmethod_matcher().

## ◆ _validate_xmethod_matcher()

def gdb.xmethod._validate_xmethod_matcher | ( |  | matcher | ) |
| private

Definition at line 216 of file xmethod.py.

Referenced by gdb.xmethod.SimpleXMethodMatcher.match(), and gdb.xmethod.register_xmethod_matcher().

## ◆ register_xmethod_matcher()

def gdb.xmethod.register_xmethod_matcher | ( |  | locus,
|  |  | matcher,
|  |  | replace = `False`
| ) |  |

    Registers a xmethod matcher MATCHER with a LOCUS.

    Arguments:
        locus: The locus in which the xmethods should be registered.
            It can be 'None' to indicate that the xmethods should be
            registered globally. Or, it could be a gdb.Objfile or a
            gdb.Progspace object in which the xmethods should be
            registered.
        matcher: The xmethod matcher to register with the LOCUS.  It
            should be an instance of 'XMethodMatcher' class.
        replace: If True, replace any existing xmethod matcher with the
            same name in the locus.  Otherwise, if a matcher with the same name
            exists in the locus, raise an exception.

Definition at line 242 of file xmethod.py.

References gdb.xmethod._lookup_xmethod_matcher(), and gdb.xmethod._validate_xmethod_matcher().

Referenced by gdb.xmethod.SimpleXMethodMatcher.match().

## Variable Documentation

## ◆ basestring

gdb.xmethod.basestring

Definition at line 26 of file xmethod.py.

## ◆ long

gdb.xmethod.long

Definition at line 27 of file xmethod.py.